This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260667 - php: buffer over-read in exif_read_data with TIFF IFD tags
php: buffer over-read in exif_read_data with TIFF IFD tags
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150828,reported=2...
: Security
Depends On: 1260668
Blocks: 1260756
  Show dependency treegraph
 
Reported: 2015-09-07 08:28 EDT by Adam Mariš
Modified: 2015-09-30 10:15 EDT (History)
15 users (show)

See Also:
Fixed In Version: php 5.4.45, php 5.5.29, php 5.6.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 10:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-07 08:28:25 EDT
When supplying a TIFF file that has a tag for one of Make, Model, or Copyright, where the value is exactly 32 bytes (with no null bytes), a buffer over-read occurs. This will cause a crash to happen when compiled with ASAN, or potential data leak when not.

Upstream report:

https://bugs.php.net/bug.php?id=70385

Upstream patch:

http://git.php.net/?p=php-src.git;a=commit;h=64043cb9e5d8bc5af719678893e38ee0290e0c0a
Comment 1 Adam Mariš 2015-09-07 08:29:05 EDT
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1260668]
Comment 2 Fedora Update System 2015-09-14 18:19:46 EDT
php-5.6.13-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-09-14 19:18:39 EDT
php-5.6.13-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-09-18 14:41:29 EDT
php-5.6.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2015-09-30 10:15:59 EDT
There are actually 2 commits related to this issue:

http://git.php.net/?p=php-src.git;a=commitdiff;h=64043cb9e5d8bc5af719678893e38ee0290e0c0a
http://git.php.net/?p=php-src.git;a=commitdiff;h=ce2c67c8e88ede70a3fe837a484fddc77aba4bb2

It's an over read in string copying of a string that is not properly NUL terminated.  Over read stops at the first \0 encountered.

Given the limited impact, there is currently no plan to backport this fix.  Affected products may get this patches if PHP packages are rebased to newer upstream version in the future.

Note You need to log in before you can comment on or make changes to this bug.